Reset Password
curl --request POST \
--url https://api.example.com/api/v1/ops/auth/reset-password \
--header 'Content-Type: application/json' \
--data '
{
"code": "482910",
"otpId": "01961f5a-7b3c-7a6e-b9d0-4a2e8c1f3d5b",
"newPassword": "N3wP@ssw0rd!"
}
'import requests
url = "https://api.example.com/api/v1/ops/auth/reset-password"
payload = {
"code": "482910",
"otpId": "01961f5a-7b3c-7a6e-b9d0-4a2e8c1f3d5b",
"newPassword": "N3wP@ssw0rd!"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
code: '482910',
otpId: '01961f5a-7b3c-7a6e-b9d0-4a2e8c1f3d5b',
newPassword: 'N3wP@ssw0rd!'
})
};
fetch('https://api.example.com/api/v1/ops/auth/reset-password', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"title": "204-Password reset successfully."
}{
"errors": [
{
"message": "required",
"path": "name"
}
],
"message": "Bad Request Error",
"statusCode": 400
}{
"message": "Internal Server Error",
"statusCode": 500
}Auth
Reset Password
Resets the password using a verified OTP code.
POST
/
api
/
v1
/
ops
/
auth
/
reset-password
Reset Password
Query Parameters
Comma-separated list of fields to include in the response. Supports dot notation for nested projection (e.g. id,name,user.email,trips.route.id). Unknown fields are silently dropped.
Body
application/json
Response
Password reset successfully.